Package org.eclipse.emf.cdo.server.db

# Interface IBatchingContext

All Superinterfaces:
  `org.eclipse.net4j.db.BatchedStatement.Context`

public interface IBatchingContext extends org.eclipse.net4j.db.BatchedStatement.Context

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default org.eclipse.net4j.db.BatchedStatement`
`createStatement(String sql, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability reuseProbability)`
`org.eclipse.net4j.db.BatchedStatement`
`createStatement(String sql, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability reuseProbability, String diagnosticName)`
`void`
`discardStatement(org.eclipse.net4j.db.BatchedStatement statement)`
`void`
`flushPhase()`
`void`
`flushStatement(org.eclipse.net4j.db.BatchedStatement statement)`
`void`
`recordDiagnosticCounter(String name)`
`void`
`recordDiagnosticCounter(String name, long value)`
Adds a value to an optional mapping-specific diagnostic counter.
`void`
`releaseStatement(org.eclipse.net4j.db.BatchedStatement statement)`

### Methods inherited from interface org.eclipse.net4j.db.BatchedStatement.Context

`afterExecuteUpdate, manageStatement, manageStatement`

## Method Details

### createStatement

default org.eclipse.net4j.db.BatchedStatement createStatement(String sql, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability reuseProbability)

### createStatement

org.eclipse.net4j.db.BatchedStatement createStatement(String sql, org.eclipse.net4j.db.IDBPreparedStatement.ReuseProbability reuseProbability, String diagnosticName)

### releaseStatement

void releaseStatement(org.eclipse.net4j.db.BatchedStatement statement)

### discardStatement

void discardStatement(org.eclipse.net4j.db.BatchedStatement statement)

### flushStatement

void flushStatement(org.eclipse.net4j.db.BatchedStatement statement)

### flushPhase

void flushPhase()

### recordDiagnosticCounter

void recordDiagnosticCounter(String name)

### recordDiagnosticCounter

void recordDiagnosticCounter(String name, long value)
Adds a value to an optional mapping-specific diagnostic counter.

Counter names and values are diagnostic metadata only. They do not participate in statement scheduling, execution ordering, or batching decisions.

Parameters:
  `name` - the short counter name
  `value` - the value to add